Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Unable to install any service . ERROR: Invalid version 2.6.0.3-8 Valid choices: 2.6.3.0-235

Unable to install any service . ERROR: Invalid version 2.6.0.3-8 Valid choices: 2.6.3.0-235

New Contributor
This problem is with every service i am installing the diffrence in error is the package name.Else the whole problem is same.

Traceback (most recent call last):
  File "/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/hooks/after-INSTALL/scripts/hook.py", line 37, in <module>
    AfterInstallHook().execute()
  File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py", line 367, in execute
    method(env)
  File "/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/hooks/after-INSTALL/scripts/hook.py", line 31, in hook
    setup_stack_symlinks(self.stroutfile)
  File "/var/lib/ambari-agent/cache/stacks/HDP/2.0.6/hooks/after-INSTALL/scripts/shared_initialization.py", line 62, in setup_stack_symlinks
    stack_select.select(package, json_version)
  File "/usr/lib/python2.6/site-packages/resource_management/libraries/functions/stack_select.py", line 312, in select
    Execute(command, sudo=True)
  File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line 166, in __init__
    self.env.run()
  File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 160, in run
    self.run_action(resource, action)
  File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 124, in run_action
    provider_action()
  File "/usr/lib/python2.6/site-packages/resource_management/core/providers/system.py", line 262, in action_run
    tries=self.resource.tries, try_sleep=self.resource.try_sleep)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 72, in inner
    result = function(command, **kwargs)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 102, in checked_call
    tries=tries, try_sleep=try_sleep, timeout_kill_strategy=timeout_kill_strategy)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 150, in _call_wrapper
    result = _call(command, **kwargs_copy)
  File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line 303, in _call
    raise ExecutionFailed(err_msg, code, out, err)
resource_management.core.exceptions.ExecutionFailed: Execution of 'ambari-python-wrap /usr/bin/hdp-select set kafka-broker 2.6.0.3-8' returned 1. ERROR: Invalid version 2.6.0.3-8

Valid choices:
2.6.3.0-235

stdout: /var/lib/ambari-agent/data/output-387.txt

2018-01-04 11:33:37,639 - Stack Feature Version Info: Cluster Stack=2.6, Command Stack=None, Command Version=None -> 2.6
2018-01-04 11:33:37,644 - Using hadoop conf dir: /usr/hdp/current/hadoop-client/conf
2018-01-04 11:33:37,646 - Group['hdfs'] {}
2018-01-04 11:33:37,647 - Group['hadoop'] {}
2018-01-04 11:33:37,647 - Group['nifi'] {}
2018-01-04 11:33:37,647 - Group['users'] {}
2018-01-04 11:33:37,648 - User['zookeeper'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-01-04 11:33:37,649 - User['ams'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-01-04 11:33:37,649 - User['ambari-qa'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'users'], 'uid': None}
2018-01-04 11:33:37,650 - User['kafka'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-01-04 11:33:37,650 - User['tez'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'users'], 'uid': None}
2018-01-04 11:33:37,651 - User['hdfs'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': ['hdfs'], 'uid': None}
2018-01-04 11:33:37,652 - User['yarn'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-01-04 11:33:37,652 - User['nifi'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': ['nifi'], 'uid': None}
2018-01-04 11:33:37,653 - User['mapred'] {'gid': 'hadoop', 'fetch_nonlocal_groups': True, 'groups': [u'hadoop'], 'uid': None}
2018-01-04 11:33:37,653 - File['/var/lib/ambari-agent/tmp/changeUid.sh'] {'content': StaticFile('changeToSecureUid.sh'), 'mode': 0555}
2018-01-04 11:33:37,655 - Execute['/var/lib/ambari-agent/tmp/changeUid.sh ambari-qa /tmp/hadoop-ambari-qa,/tmp/hsperfdata_ambari-qa,/home/ambari-qa,/tmp/ambari-qa,/tmp/sqoop-ambari-qa 0'] {'not_if': '(test $(id -u ambari-qa) -gt 1000) || (false)'}
2018-01-04 11:33:37,659 - Skipping Execute['/var/lib/ambari-agent/tmp/changeUid.sh ambari-qa /tmp/hadoop-ambari-qa,/tmp/hsperfdata_ambari-qa,/home/ambari-qa,/tmp/ambari-qa,/tmp/sqoop-ambari-qa 0'] due to not_if
2018-01-04 11:33:37,659 - Group['hdfs'] {}
2018-01-04 11:33:37,660 - User['hdfs'] {'fetch_nonlocal_groups': True, 'groups': ['hdfs', u'hdfs']}
2018-01-04 11:33:37,660 - FS Type: 
2018-01-04 11:33:37,660 - Directory['/etc/hadoop'] {'mode': 0755}
2018-01-04 11:33:37,661 - Creating directory Directory['/etc/hadoop'] since it doesn't exist.
2018-01-04 11:33:37,661 - Directory['/var/lib/ambari-agent/tmp/hadoop_java_io_tmpdir'] {'owner': 'hdfs', 'group': 'hadoop', 'mode': 01777}
2018-01-04 11:33:37,675 - Repository['HDF-3.0-repo-1'] {'append_to_file': False, 'base_url': 'http://public-repo-1.hortonworks.com/HDF/centos7/3.x/updates/3.0.0.0', 'action': ['create'], 'components': [u'HDF', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{% if mirror_list %}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=1\ngpgcheck=0', 'repo_file_name': 'ambari-hdp-1', 'mirror_list': ''}
2018-01-04 11:33:37,683 - File['/etc/yum.repos.d/ambari-hdp-1.repo'] {'content': '[HDF-3.0-repo-1]\nname=HDF-3.0-repo-1\nbaseurl=http://public-repo-1.hortonworks.com/HDF/centos7/3.x/updates/3.0.0.0\n\npath=/\nenabled=1\ngpgcheck=0'}
2018-01-04 11:33:37,684 - Writing File['/etc/yum.repos.d/ambari-hdp-1.repo'] because contents don't match
2018-01-04 11:33:37,684 - Repository['HDP-2.6-repo-1'] {'append_to_file': True, 'base_url': 'http://public-repo-1.hortonworks.com/HDP/centos7/2.x/updates/2.6.3.0', 'action': ['create'], 'components': [u'HDP', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{% if mirror_list %}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=1\ngpgcheck=0', 'repo_file_name': 'ambari-hdp-1', 'mirror_list': ''}
2018-01-04 11:33:37,687 - File['/etc/yum.repos.d/ambari-hdp-1.repo'] {'content': '[HDF-3.0-repo-1]\nname=HDF-3.0-repo-1\nbaseurl=http://public-repo-1.hortonworks.com/HDF/centos7/3.x/updates/3.0.0.0\n\npath=/\nenabled=1\ngpgcheck=0\n[HDP-2.6-repo-1]\nname=HDP-2.6-repo-1\nbaseurl=http://public-repo-1.hortonworks.com/HDP/centos7/2.x/updates/2.6.3.0\n\npath=/\nenabled=1\ngpgcheck=0'}
2018-01-04 11:33:37,688 - Writing File['/etc/yum.repos.d/ambari-hdp-1.repo'] because contents don't match
2018-01-04 11:33:37,688 - Repository['HDP-UTILS-1.1.0.21-repo-1'] {'append_to_file': True, 'base_url': 'http://public-repo-1.hortonworks.com/HDP-UTILS-1.1.0.21/repos/centos7', 'action': ['create'], 'components': [u'HDP-UTILS', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{% if mirror_list %}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=1\ngpgcheck=0', 'repo_file_name': 'ambari-hdp-1', 'mirror_list': ''}
2018-01-04 11:33:37,693 - File['/etc/yum.repos.d/ambari-hdp-1.repo'] {'content': '[HDF-3.0-repo-1]\nname=HDF-3.0-repo-1\nbaseurl=http://public-repo-1.hortonworks.com/HDF/centos7/3.x/updates/3.0.0.0\n\npath=/\nenabled=1\ngpgcheck=0\n[HDP-2.6-repo-1]\nname=HDP-2.6-repo-1\nbaseurl=http://public-repo-1.hortonworks.com/HDP/centos7/2.x/updates/2.6.3.0\n\npath=/\nenabled=1\ngpgcheck=0\n[HDP-UTILS-1.1.0.21-repo-1]\nname=HDP-UTILS-1.1.0.21-repo-1\nbaseurl=http://public-repo-1.hortonworks.com/HDP-UTILS-1.1.0.21/repos/centos7\n\npath=/\nenabled=1\ngpgcheck=0'}
2018-01-04 11:33:37,694 - Writing File['/etc/yum.repos.d/ambari-hdp-1.repo'] because contents don't match
2018-01-04 11:33:37,694 - Package['unzip'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-01-04 11:33:37,776 - Skipping installation of existing package unzip
2018-01-04 11:33:37,776 - Package['curl'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-01-04 11:33:37,790 - Skipping installation of existing package curl
2018-01-04 11:33:37,791 - Package['hdp-select'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-01-04 11:33:37,805 - Skipping installation of existing package hdp-select
2018-01-04 11:33:37,809 - The repository with version 2.6.0.3-8 for this command has been marked as resolved. It will be used to report the version of the component which was installed
2018-01-04 11:33:38,026 - Command repositories: HDF-3.0-repo-1, HDP-2.6-repo-1, HDP-UTILS-1.1.0.21-repo-1
2018-01-04 11:33:38,026 - Applicable repositories: HDP-2.6-repo-1, HDP-UTILS-1.1.0.21-repo-1
2018-01-04 11:33:38,028 - Looking for matching packages in the following repositories: HDP-2.6-repo-1, HDP-UTILS-1.1.0.21-repo-1
2018-01-04 11:33:40,233 - Package['kafka_2_6_3_0_235'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2018-01-04 11:33:40,310 - Skipping installation of existing package kafka_2_6_3_0_235
2018-01-04 11:33:40,315 - The repository with version 2.6.0.3-8 for this command has been marked as resolved. It will be used to report the version of the component which was installed
2018-01-04 11:33:40,569 - Using hadoop conf dir: /usr/hdp/current/hadoop-client/conf
2018-01-04 11:33:40,599 - Execute[('ambari-python-wrap', u'/usr/bin/hdp-select', 'set', u'kafka-broker', u'2.6.0.3-8')] {'sudo': True}
2018-01-04 11:33:40,626 - The repository with version 2.6.0.3-8 for this command has been marked as resolved. It will be used to report the version of the component which was installed
 

Command failed after 1 tries

1 REPLY 1
Highlighted

Re: Unable to install any service . ERROR: Invalid version 2.6.0.3-8 Valid choices: 2.6.3.0-235

Explorer

Hi @Prakash Choudhary, did you ever found the solution on this problem? I'm also seeing similar issues.

Don't have an account?
Coming from Hortonworks? Activate your account here